Foreman - Bug #23012

CoreOS provision template uses an udeclared method.
03/26/2018 07:11 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category:
Target version: 1.17.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5358,
https://github.com/theforeman/foreman/p
ull/5366
Description

When you preview coreos provision template, it renders an error: "There was an error during rendering, return to the Code tab to edit
the template.”

Looking at the logs reveals:

2018-03-26T09:59:36 7c9264d0 [app] [W] Error rendering the CoreOS provision template
| Safemode: :NoMethodError: undefined method '#release' for Operatingsystem::Jail (Redhat)
| /usr/local/rvm/gems/ruby-2.4.1@foreman/gems/safemode-1.3.4/1ib/safemode/jail.rb:22:in “method_m
issing'
| CoreOS provision:58:in “bind'
| /usr/local/rvm/gems/ruby-2.4.1Q@foreman/gems/safemode-1.3.4/1ib/safemode.rb:51:in “eval'
| /usr/local/rvm/gems/ruby-2.4.1Q@foreman/gems/safemode-1.3.4/1ib/safemode.rb:51:in “eval'
| /home/shim/Documents/foreman/foreman/lib/foreman/renderer.rb:84:in "render_safe'
| /home/shim/Documents/foreman/foreman/lib/foreman/renderer.rb:202:in “unattended_render'
| /home/shim/Documents/foreman/foreman/app/controllers/templates_controller.rb:115:in "safe_rende
Al

| /home/shim/Documents/foreman/foreman/app/controllers/templates_controller.rb:96:in “preview'

| /usr/local/rvm/gems/ruby-2.4.1@foreman/gems/actionpack-5.1.4/1ib/action_controller/metal/basic_
implicit_render.rb:4:in 'send_action'

| /usr/local/rvm/gems/ruby-2.4.1@foreman/gems/actionpack-5.1.4/1lib/abstract_controller/base.rb:18
6:in “process_action'

| /usr/local/rvm/gems/ruby-2.4.1@foreman/gems/actionpack-5.1.4/1lib/action_controller/metal/render
ing.rb:30:1in “process_action'

| /usr/local/rvm/gems/ruby-2.4.1@foreman/gems/actionpack-5.1.4/1ib/abstract_controller/callbacks.
rb:20:in "block in process_action'

Associated revisions

Revision 8ae9d962 - 03/26/2018 09:05 AM - Tomer Brisker

Fixes #23012 - allow OS release in safemode

This is needed for CoreOS provisioning templates.

History

#1 - 03/26/2018 07:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5358 added

#2 - 03/26/2018 09:15 AM - Anonymous

- translation missing: en.field_release set to 330
#3 - 03/26/2018 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 8ae9d962fcc95fcafcf4e6163ae51b2063f32e01.

#4 - 03/27/2018 06:21 PM - Anonymous

- translation missing: en.field_release changed from 330 to 296

#5 - 03/27/2018 06:25 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5366 added
